#!/bin/sh
# Function: Removes existing NL1 application developer folders in $RAD_HOME
# and replaces them with original backed-up ones.

RAD_HOME=$1
LOG_FILE="/tmp/rad.rup.nl1.rollback.log"
ROLLBAK_DIR="../rup.configuration.rollback.nl1"

### Main Routine ###
PWD=`pwd`
echo "Starting RAD RUP NL1 rollback in $PWD" > $LOG_FILE

# Test for existence of backup configuration files
if [ -d $ROLLBAK_DIR ]; then
# Check for existence of NL1 configurations and clean them up
  if [ -d $RAD_HOME/RUP\ Configuration/application\ developer.fr ] || 
     [ -d $RAD_HOME/RUP\ Configuration/application\ developer.ja ] || 
     [ -d $RAD_HOME/RUP\ Configuration/application\ developer.ko ] || 
     [ -d $RAD_HOME/RUP\ Configuration/application\ developer.pt_BR ] || 
     [ -d $RAD_HOME/RUP\ Configuration/application\ developer.zh_CN ]; then
    # Remove existing applicaiton developer folders
    echo "Removing 6.0.0.1 configurations from $RAD_HOME/RUP Configuration/" >> $LOG_FILE
    /bin/rm -rf $RAD_HOME/RUP\ Configuration/application\ developer.*
  fi
# Now we do the file moving
  /bin/mv -f $ROLLBAK_DIR/application\ developer.* $RAD_HOME/RUP\ Configuration/
  /bin/mv -f $ROLLBAK_DIR/application_developer.pt_BR $RAD_HOME/RUP\ Configuration/
  echo "Moving back original configurations from $PWD/$ROLLBAK_DIR" >> $LOG_FILE
else
  echo "Error: No original NL1 configurations found during 6.0.0.1 update" >> $LOG_FILE
  echo "Nothing to do!" >> $LOG_FILE

fi
